Skip to main content
POST
/
campaigns
/
v2
/
{campaignId}
/
leads
/
{identifier}
/
cancel
Cancel lead
curl --request POST \
  --url https://inboxapp.com/api/v1/campaigns/v2/{campaignId}/leads/{identifier}/cancel \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "by": "platformId",
  "platform": "twitter"
}
'
{
  "success": "<unknown>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaignId
string
required

The ID of the campaign.

Pattern: ^[0-9a-z]+$
identifier
string
required

The identifier of the lead to cancel. Interpreted based on the by parameter.

Minimum string length: 1
Example:

"44196397"

Body

application/json
by
enum<string>
default:platformId

How to interpret the identifier in the URL path. Defaults to 'platformId'.

Available options:
platformId,
username,
externalId
Example:

"platformId"

platform
enum<string>

The platform for the identifier. Required when by is 'platformId' or 'username'. Defaults to 'twitter'. Ignored when by is 'externalId'.

Available options:
twitter

Response

200 - application/json

OK

success
any
required